diff --git a/changelog b/changelog
index 08caf13..bb20757 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080409 tpd src/input/Makefile add integration regression testing	
+20080409 tpd src/input/schaum25.input integrals of e^(a*x)
 20080409 tpd readme add Max Tegmark
 20080409 tpd src/interp/setq.lisp add Max Tegmark
 20080409 tpd src/doc/toe.gif added, by Max Tegmark <tegmark@mit.edu>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index c184fbe..9134ab7 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -361,6 +361,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
     schaum17.regress  schaum18.regress schaum19.regress schaum20.regress \
     schaum21.regress  schaum22.regress schaum23.regress schaum24.regress \
+    schaum25.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -640,7 +641,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum14.input ${OUT}/schaum15.input   ${OUT}/schaum16.input \
        ${OUT}/schaum17.input ${OUT}/schaum18.input   ${OUT}/schaum19.input \
        ${OUT}/schaum20.input ${OUT}/schaum21.input   ${OUT}/schaum22.input \
-       ${OUT}/schaum23.input ${OUT}/schaum24.input \
+       ${OUT}/schaum23.input ${OUT}/schaum24.input   ${OUT}/schaum25.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -951,6 +952,7 @@ DOCFILES= \
   ${DOC}/schaum19.input.dvi    ${DOC}/schaum20.input.dvi \
   ${DOC}/schaum21.input.dvi    ${DOC}/schaum22.input.dvi \
   ${DOC}/schaum23.input.dvi    ${DOC}/schaum24.input.dvi \
+  ${DOC}/schaum25.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum25.input.pamphlet b/src/input/schaum25.input.pamphlet
new file mode 100644
index 0000000..250e7c3
--- /dev/null
+++ b/src/input/schaum25.input.pamphlet
@@ -0,0 +1,383 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum25.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.509~~~~~$\displaystyle
+\int{e^{ax}}~dx$}
+$$\int{e^{ax}}=
+\frac{e^{ax}}{a}
+$$
+<<*>>=
+)spool schaum25.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 16
+aa:=integrate(e^(a*x),x)
+--R 
+--R
+--R          a x log(e)
+--R        %e
+--R   (1)  ------------
+--R          a log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.510~~~~~$\displaystyle
+\int{xe^{ax}}~dx$}
+$$\int{xe^{ax}}=
+\frac{e^{ax}}{x}\left(x-\frac{1}{a}\right)
+$$
+<<*>>=
+)clear all
+
+--S 2 of 16
+aa:=integrate(x*e^(a*x),x)
+--R 
+--R
+--R                          a x log(e)
+--R        (a x log(e) - 1)%e
+--R   (1)  ----------------------------
+--R                   2      2
+--R                  a log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.511~~~~~$\displaystyle
+\int{x^2e^{ax}}~dx$}
+$$\int{x^2e^{ax}}=
+\frac{e^{ax}}{x}\left(x^2-\frac{2x}{a}+\frac{2}{a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 3 of 16
+aa:=integrate(x^2*e^(a*x),x)
+--R 
+--R
+--R          2 2      2                     a x log(e)
+--R        (a x log(e)  - 2a x log(e) + 2)%e
+--R   (1)  -------------------------------------------
+--R                          3      3
+--R                         a log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.512~~~~~$\displaystyle
+\int{x^ne^{ax}}~dx$}
+$$\begin{array}{rl}
+\displaystyle\int{x^ne^{ax}}=&
+\displaystyle
+\frac{x^ne^{ax}}{a}-\frac{n}{a}\int{x^{n-1}e^{ax}}\\
+\\
+&\displaystyle
+=\frac{e^{ax}}{x}\left(x^n-\frac{nx^{n-1}}{a}+\frac{n(n-1)x^{n-2}}{a^2}
+-\cdots \frac{(-1)^nn!}{a^n}\right)
+\\
+&\hbox{\hskip 5cm}{\rm\ if\ }n={\rm positive integer}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 16
+aa:=integrate(x^n*e^(a*x),x)
+--R 
+--R
+--R           x
+--I         ++    n %I a
+--I   (1)   |   %I e    d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.513~~~~~$\displaystyle
+\int{\frac{e^{ax}}{x}}~dx$}
+$$\int{\frac{e^{ax}}{x}}=
+\ln{x}+\frac{ax}{1\cdot 1!}+\frac{(ax)^2}{2\cdot 2!}
++\frac{(ax)^3}{3\cdot 3!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 5 of 16
+aa:=integrate(e^(a*x)/x,x)
+--R 
+--R
+--R   (1)  Ei(a x log(e))
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.514~~~~~$\displaystyle
+\int{\frac{e^{ax}}{x^n}}~dx$}
+$$\int{\frac{e^{ax}}{x^n}}=
+\frac{-e^{ax}}{(n-1)x^{n-1}}+\frac{a}{n-1}\int{\frac{e^{ax}}{x^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 16
+aa:=integrate(e^(a*x)/x^n,x)
+--R 
+--R
+--I           x  %I a
+--R         ++  e
+--I   (1)   |   ----- d%I
+--R        ++      n
+--I              %I
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.515~~~~~$\displaystyle
+\int{\frac{dx}{p+qe^{ax}}}~dx$}
+$$\int{\frac{1}{p+qe^{ax}}}=
+\frac{x}{p}-\frac{1}{ap}\ln(p+qe^{ax})
+$$
+<<*>>=
+)clear all
+
+--S 7 of 16
+aa:=integrate(1/(p+q*e^(a*x)),x)
+--R 
+--R
+--R                  a x log(e)
+--R        - log(q %e           + p) + a x log(e)
+--R   (1)  --------------------------------------
+--R                      a p log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.516~~~~~$\displaystyle
+\int{\frac{dx}{(p+qe^{ax})^2}}~dx$}
+$$\int{\frac{dx}{(p+qe^{ax})^2}}=
+\frac{x}{p^2}+\frac{1}{ap(p+qe^{ax})}-\frac{1}{ap^2}\ln(p+qe^{ax})
+$$
+<<*>>=
+)clear all
+
+--S 8 of 16
+aa:=integrate(1/(p+q*e^(a*x)),x)
+--R 
+--R
+--R                  a x log(e)
+--R        - log(q %e           + p) + a x log(e)
+--R   (1)  --------------------------------------
+--R                      a p log(e)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.517~~~~~$\displaystyle
+\int{\frac{dx}{pe^{ax}+qe^{ax}}}~dx$}
+$$\int{\frac{dx}{pe^{ax}+qe^{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{a\sqrt{pq}}\tan^{-1}\left(\sqrt{\frac{p}{q}}e^{ax}\right)\\
+\\
+\displaystyle
+\frac{1}{2a\sqrt{-pq}}
+\ln\left(\frac{e^{ax}-\sqrt{-q/p}}{e^{ax}+\sqrt{-q/p}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 9 of 16
+aa:=integrate(1/(p*e^(a*x)+q*e^(a*x)),x)
+--R 
+--R
+--R                        1
+--R   (1)  - -----------------------------
+--R                             a x log(e)
+--R          (a q + a p)log(e)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.518~~~~~$\displaystyle
+\int{e^{ax}\sin{bx}}~dx$}
+$$\int{e^{ax}\sin{bx}}=
+\frac{e^{ax}(a\sin{bx}-b\cos{bx})}{a^2+b^2}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 16
+aa:=integrate(e^(a*x)*sin(b*x),x)
+--R 
+--R
+--R                                         a x log(e)
+--R        (a log(e)sin(b x) - b cos(b x))%e
+--R   (1)  -------------------------------------------
+--R                        2      2    2
+--R                       a log(e)  + b
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.519~~~~~$\displaystyle
+\int{e^{ax}\cos{bx}}~dx$}
+$$\int{e^{ax}\cos{bx}}=
+\frac{e^{ax}(a\cos{bx}-b\sin{bx})}{a^2+b^2}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 16
+aa:=integrate(e^(a*x)*cos(b*x),x)
+--R 
+--R
+--R                                         a x log(e)
+--R        (b sin(b x) + a cos(b x)log(e))%e
+--R   (1)  -------------------------------------------
+--R                        2      2    2
+--R                       a log(e)  + b
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.520~~~~~$\displaystyle
+\int{xe^{ax}\sin{bx}}~dx$}
+$$\int{xe^{ax}\sin{bx}}=
+\frac{xe^{ax}(a\sin{bx}-b\cos{bx})}{a^2+b^2}
+-\frac{e^{ax}\left((a^2-b^2)\sin{bx}-2ab\cos{bx}\right)}{(a^2+b^2)^2}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 16
+aa:=integrate(x*e^(a*x)*sin(b*x),x)
+--R 
+--R
+--R   (1)
+--R           3        3    2      2      2            2
+--R         (a x log(e)  - a log(e)  + a b x log(e) + b )sin(b x)
+--R       + 
+--R            2                  2                          3
+--R         - a b x cos(b x)log(e)  + 2a b cos(b x)log(e) - b x cos(b x)
+--R    *
+--R         a x log(e)
+--R       %e
+--R  /
+--R      4      4     2 2      2    4
+--R     a log(e)  + 2a b log(e)  + b
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.521~~~~~$\displaystyle
+\int{xe^{ax}\cos{bx}}~dx$}
+$$\int{xe^{ax}\cos{bx}}=
+\frac{xe^{ax}(a\cos{bx}-b\sin{bx})}{a^2+b^2}
+-\frac{e^{ax}\left((a^2-b^2)\cos{bx}-2ab\sin{bx}\right)}{(a^2+b^2)^2}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 16
+aa:=integrate(x*e^(a*x)*cos(b*x),x)
+--R 
+--R
+--R   (1)
+--R           2          2                  3              3                3
+--R         (a b x log(e)  - 2a b log(e) + b x)sin(b x) + a x cos(b x)log(e)
+--R       + 
+--R            2              2      2                    2
+--R         - a cos(b x)log(e)  + a b x cos(b x)log(e) + b cos(b x)
+--R    *
+--R         a x log(e)
+--R       %e
+--R  /
+--R      4      4     2 2      2    4
+--R     a log(e)  + 2a b log(e)  + b
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.522~~~~~$\displaystyle
+\int{e^{ax}\ln{x}}~dx$}
+$$\int{e^{ax}\ln{x}}=
+\frac{e^{ax}\ln{x}}{a}-\frac{1}{a}\int{\frac{e^{ax}}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 16
+aa:=integrate(e^(a*x)*log(x),x)
+--R 
+--R
+--R           x
+--I         ++          %I a
+--I   (1)   |   log(%I)e    d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.523~~~~~$\displaystyle
+\int{e^{ax}\sin^n{bx}}~dx$}
+$$\int{e^{ax}\sin^n{bx}}=
+\frac{e^{ax}\sin^{n-1}{bx}}{a^2+n^2b^2}(a\sin{bx}-nb\cos{bx})
++\frac{n(n-1)b^2}{a^2+n^2b^2}\int{e^{ax}\sin^{n-2}{bx}}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 16
+aa:=integrate(e^(a*x)*sin(b*x)^n,x)
+--R 
+--R
+--R           x
+--I         ++   %I a         n
+--I   (1)   |   e    sin(%I b) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.524~~~~~$\displaystyle
+\int{e^{ax}\cos^n{bx}}~dx$}
+$$\int{e^{ax}\cos^n{bx}}=
+\frac{e^{ax}\cos^{n-1}{bx}}{a^2+n^2b^2}(a\cos{bx}-nb\sin{bx})
++\frac{n(n-1)b^2}{a^2+n^2b^2}\int{e^{ax}\cos^{n-2}{bx}}
+$$
+<<*>>=
+)clear all
+
+--S 16 of 16
+aa:=integrate(e^(a*x)*cos(b*x)^n,x)
+--R 
+--R
+--R           x
+--I         ++   %I a         n
+--I   (1)   |   e    cos(%I b) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p85
+\end{thebibliography}
+\end{document}
